<?php
/**
 * @package Quasar Template - RocketTheme
* @version   1.7 November 19, 2019
* @author RocketTheme http://www.rockettheme.com
* @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * This is a file to add template specific chrome to module rendering.  To use it you would
 * set the style attribute for the given module(s) include in your template to use the style
 * for each given modChrome function.
 *
 * eg.  To render a module mod_test in the sliders style, you would use the following include:
 * <jdoc:include type="module" name="test" style="slider" />
 *
 * This gives template designers ultimate control over how modules are rendered.
 *
 * NOTICE: All chrome wrapping methods should be named: modChrome_{STYLE} and take the same
 * two arguments.
 */

/*
 * Module chrome for rendering the module in a slider
 */

function modChrome_basic($module, &$params, &$attribs)
{
    	
	if (!empty ($module->content)) : ?>
		<?php echo $module->content; ?>
	<?php endif;
}

function modChrome_breadcrumbs($module, &$params, &$attribs)
{
    	
	if (!empty ($module->content)) : ?>
	<div class="rt-breadcrumb-surround">
		<a href="<?php echo JURI::base(); ?>" id="breadcrumbs-home" class="icon-home"></a>
		<?php echo $module->content; ?>
	</div>
	<?php endif;
}


function modChrome_standard($module, &$params, &$attribs)
{
 	if (!empty ($module->content)) : ?>
        <?php if ($params->get('moduleclass_sfx')!='') : ?>
        <div class="<?php echo $params->get('moduleclass_sfx'); ?>">
        <?php endif; ?>
            <div class="rt-block">
				<div class="module-surround">
					<?php if ($params->get('moduleclass_sfx')!='') : ?>
			        <div class="module-icon"></div>
			        <?php endif; ?>
	                <?php if ($module->showtitle != 0) : ?>
					<div class="module-title">
	                	<h2 class="title"><?php echo $module->title; ?></h2>
					</div>
	                <?php endif; ?>
					<div class="module-content">
	                	<?php echo $module->content; ?>
					</div>
				</div>
            </div>
        <?php if ($params->get('moduleclass_sfx')!='') : ?>
        </div>
	<?php endif; ?>
	<?php endif;
}

function modChrome_submenu($module, &$params, &$attribs)
{
	global $Itemid;
	
	$start	= $params->get('startLevel');
	
	$tabmenu = &JSite::getMenu();
	$item = $tabmenu->getItem($Itemid);
	

	if (isset($item)) {
		$tparent = $tabmenu->getItem($item->parent);
		$menuname = "";

	    	while ($tparent != null) {
	    		$item = $tabmenu->getItem($item->parent);
	    		if ($tparent->parent == $start-1) break;
				$tparent = $tabmenu->getItem($item->parent);
				
	    	}
	
			if (!empty ($module->content) && $module->content != '') : ?>
		        <?php if ($params->get('moduleclass_sfx')!='') : ?>
		        <div class="<?php echo $params->get('moduleclass_sfx'); ?>">
		        <?php endif; ?>
		            <div class="rt-block">
						<div class="module-title"><div class="module-title2">
		                	<h2 class="title"><?php echo $item->name; ?> Menu</h2>
						</div><div class="clear"></div></div>
						<div class="module-content">
		                	<?php echo $module->content; ?>
						</div>
		            </div>
		        <?php if ($params->get('moduleclass_sfx')!='') : ?>
		        </div>
			<?php endif; ?>
			<?php endif;
	}
}

?>